net.ME1312.SubServers.Client.Bukkit.Graphic

## Class UIRenderer.Options

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Graphic.UIRenderer.Options

Direct Known Subclasses:
  UIRenderer.CreatorOptions

Enclosing class:
  UIRenderer

    public abstract static class UIRenderer.Options
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Options()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasHistory()` If there is any undo history
`void` `undo()` Reverts the last change

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Options

    public Options()

### Method Detail

#### hasHistory

    public boolean hasHistory()

If there is any undo history

Returns:
  Undo History Status

#### undo

    public void undo()

Reverts the last change